﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace TestWin64GridItem2
{
  public class Person : INotifyPropertyChanged

  {
    private string  personName;
    private System.Boolean isSelectedItem;


    public string PersonName
    {
      get { return personName; }
      set { this.personName = value; }
    }

    public bool IsSelectedItem
    {
      get
      {
        return this.isSelectedItem;
      }
      set
      {
        if (value != this.isSelectedItem)
        {
          this.isSelectedItem = value;
          OnPropertyChanged("IsSelectedItem");
        }
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;

    public void OnPropertyChanged(string name)
    {
      PropertyChangedEventHandler handler = PropertyChanged;
      if (handler != null)
        handler(this, new PropertyChangedEventArgs(name)); // POINT AT WHICH THE APPLICATION FAILS
    }
  }
}
